<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('monarch_candidacy', function (Blueprint $table) {
            $table->unsignedInteger('pid');
            $table->dateTime('date')->useCurrent();
            // TODO Check if these two below are ever used
            $table->string('name', 16)->nullable();
            $table->dateTime('windate')->nullable();

            $table->foreign('pid')->references('id')->on('player');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('monarch_candidacy');
    }
};
